/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package de.nplusc.iZc.MazeGame.Level.Builders;

import static de.nplusc.iZc.MazeGame.Level.Builders.LevelGenerations.DE_E;
import static de.nplusc.iZc.MazeGame.Level.Builders.LevelGenerations.P_ESW;
import static de.nplusc.iZc.MazeGame.Level.Builders.LevelGenerations.P_EW;
import static de.nplusc.iZc.MazeGame.Level.Builders.LevelGenerations.P_NE;
import static de.nplusc.iZc.MazeGame.Level.Builders.LevelGenerations.P_NES;
import static de.nplusc.iZc.MazeGame.Level.Builders.LevelGenerations.P_NEW;
import static de.nplusc.iZc.MazeGame.Level.Builders.LevelGenerations.P_NS;
import static de.nplusc.iZc.MazeGame.Level.Builders.LevelGenerations.P_NW;
import static de.nplusc.iZc.MazeGame.Level.Builders.LevelGenerations.P_SE;
import static de.nplusc.iZc.MazeGame.Level.Builders.LevelGenerations.P_SW;
import static de.nplusc.iZc.MazeGame.Level.Builders.LevelGenerations.S_WE;
import de.nplusc.iZc.MazeGame.Level.Chunk;
import de.nplusc.iZc.MazeGame.Level.StandardChunk;
import de.nplusc.iZc.MazeGame.cells.BasicCell;
import de.nplusc.iZc.MazeGame.cells.KeyCell;
import de.nplusc.iZc.MazeGame.cells.MazeCell;
import de.nplusc.iZc.MazeGame.cells.NoteCell;
import de.nplusc.izc.tools.IOtools.FileTK;
import java.util.HashMap;

/**
 *
 * @author LH
 */
public class StartArea_part1_sheet1F extends LevelGenerations
{
    
    
    public void export()
    {
        Chunk c = new StandardChunk();
        MazeCell[][][] mc = c.getChunkField();
        //42 breit
        //58 hoch mit unkomplettem karo
        c.setXsize(Chunk.A4_SHEET_5mm_width);
        c.setYsize(Chunk.A4_SHEET_5mm_height);
        mc = new MazeCell[Chunk.A4_SHEET_5mm_width][Chunk.A4_SHEET_5mm_height][150];
        
        //starte Cells#
                int row=0;
            //reihe 1
                mc[row][16][0] = new NoteCell();
                mc[row][17][0] = new NoteCell(); //29739
                mc[row][29][0] = new NoteCell(); //29739
                mc[row][30][0] = new NoteCell(); //29739
                mc[row][31][0] = new NoteCell(); //29739
                mc[row][32][0] = new NoteCell(); //29739
                mc[row][33][0] = new NoteCell(); //29739
                mc[row][34][0] = new NoteCell(); //29739
                mc[row][35][0] = new NoteCell(); //29739
                mc[row][36][0] = new NoteCell(); //29739
                mc[row][37][0] = new NoteCell(); //29739
                mc[row][38][0] = new NoteCell(); //29739
                mc[row][39][0] = new NoteCell(); //29739
                row++;
            //reihe2
                mc[row][16][0] = new NoteCell();
                mc[row][17][0] = new NoteCell(); //29739
                mc[row][29][0] = new NoteCell(); //29739
                mc[row][30][0] = new NoteCell(); //29739
                mc[row][31][0] = new NoteCell(); //29739
                mc[row][32][0] = new NoteCell(); //29739
                mc[row][33][0] = new NoteCell(); //29739
                mc[row][34][0] = new NoteCell(); //29739
                mc[row][35][0] = new NoteCell(); //29739
                mc[row][36][0] = new NoteCell(); //29739
                mc[row][37][0] = new NoteCell(); //29739
                mc[row][38][0] = new NoteCell(); //29739
                mc[row][39][0] = new NoteCell(); //29739
                row++;
            //reihe3
                
                mc[row][0][0] = new NoteCell();
                mc[row][1][0] = new NoteCell();
                mc[row][2][0] = new NoteCell();
                mc[row][3][0] = new NoteCell();
                mc[row][4][0] = new NoteCell();
                mc[row][5][0] = new NoteCell();
                mc[row][6][0] = new NoteCell();
                mc[row][7][0] = new NoteCell();
                mc[row][8][0] = new NoteCell();
                mc[row][9][0] = new NoteCell();
                mc[row][10][0] = new NoteCell();
                mc[row][11][0] = new NoteCell();
                mc[row][12][0] = new NoteCell();
                mc[row][13][0] = new NoteCell();
                mc[row][14][0] = new NoteCell();
                mc[row][15][0] = new NoteCell();
                mc[row][16][0] = new NoteCell();
                mc[row][17][0] = new NoteCell(); //29739
                mc[row][29][0] = new NoteCell(); //29739
                mc[row][30][0] = new NoteCell(); //29739
                mc[row][31][0] = new NoteCell(); //29739
                mc[row][32][0] = new NoteCell(); //29739
                mc[row][33][0] = new NoteCell(); //29739
                mc[row][34][0] = new NoteCell(); //29739
                mc[row][35][0] = new NoteCell(); //29739
                mc[row][36][0] = new NoteCell(); //29739
                mc[row][37][0] = new NoteCell(); //29739
                mc[row][38][0] = new NoteCell(); //29739
                mc[row][39][0] = new NoteCell(); //29739
                row++;
            //reihe4
                mc[row][0][0] = new NoteCell();
                mc[row][1][0] = new NoteCell();
                mc[row][2][0] = new NoteCell();
                mc[row][3][0] = new NoteCell();
                mc[row][4][0] = new NoteCell();
                mc[row][5][0] = new NoteCell();
                mc[row][6][0] = new NoteCell();
                mc[row][7][0] = new NoteCell();
                mc[row][8][0] = new NoteCell();
                mc[row][9][0] = new NoteCell();
                mc[row][10][0] = new NoteCell();
                mc[row][11][0] = new NoteCell();
                mc[row][12][0] = new NoteCell();
                mc[row][13][0] = new NoteCell();
                mc[row][14][0] = new NoteCell();
                mc[row][15][0] = new NoteCell();
                mc[row][16][0] = new NoteCell();
                mc[row][17][0] = new NoteCell(); //29739
                mc[row][29][0] = new NoteCell(); //29739
                mc[row][30][0] = new NoteCell(); //29739
                mc[row][31][0] = new NoteCell(); //29739
                mc[row][32][0] = new NoteCell(); //29739
                mc[row][33][0] = new NoteCell(); //29739
                mc[row][34][0] = new NoteCell(); //29739
                mc[row][35][0] = new NoteCell(); //29739
                mc[row][36][0] = new NoteCell(); //29739
                mc[row][37][0] = new NoteCell(); //29739
                mc[row][38][0] = new NoteCell(); //29739
                mc[row][39][0] = new NoteCell(); //29739
                row++;
             //reihe5
                mc[row][0][0] = new NoteCell();
                mc[row][1][0] = new NoteCell();
                mc[row][2][0] = new NoteCell();
                mc[row][3][0] = new NoteCell();
                mc[row][4][0] = new NoteCell();
                mc[row][5][0] = new NoteCell();
                mc[row][6][0] = new NoteCell();
                mc[row][7][0] = new NoteCell();
                mc[row][8][0] = new NoteCell();
                mc[row][9][0] = new NoteCell();
                mc[row][10][0] = new NoteCell();
                mc[row][11][0] = new NoteCell();
                mc[row][12][0] = new NoteCell();
                mc[row][13][0] = new NoteCell();
                mc[row][14][0] = new NoteCell();
                mc[row][15][0] = new NoteCell();
                mc[row][16][0] = new NoteCell();
                
                
                mc[row][17][50] = new BasicCell(P_SE,P_SE,50,1);
                mc[row][18][50] = new BasicCell(P_SW,P_SW,50,1);
                mc[row][19][50] = new BasicCell(P_SE,P_SE,50,1);
                mc[row][20][50] = new BasicCell(P_SW,P_SW,50,1);
                mc[row][21][50] = new BasicCell(P_SE,P_SE,50,1);
                mc[row][22][50] = new BasicCell(P_SW,P_SW,50,1);
                mc[row][23][50] = new BasicCell(P_SE,P_SE,50,1);
                mc[row][23][50] = new BasicCell(P_EW,P_EW,50,1);     
                mc[row][23][50] = new BasicCell(P_EW,P_EW,50,1);
                mc[row][22][50] = new BasicCell(P_SW,P_SW,50,1);
                
                mc[row][29][0] = new NoteCell(); //29739
                mc[row][30][0] = new NoteCell(); //29739
                mc[row][31][0] = new NoteCell(); //29739
                mc[row][32][0] = new NoteCell(); //29739
                mc[row][33][0] = new NoteCell(); //29739
                mc[row][34][0] = new NoteCell(); //29739
                mc[row][35][0] = new NoteCell(); //29739
                mc[row][36][0] = new NoteCell(); //29739
                mc[row][37][0] = new NoteCell(); //29739
                mc[row][38][0] = new NoteCell(); //29739
                mc[row][39][0] = new NoteCell(); //29739
                row++;
            //Reiihe 6
                
                mc[row][0][0] = new NoteCell();
                mc[row][1][0] = new NoteCell();
                mc[row][2][0] = new NoteCell();
                mc[row][3][0] = new NoteCell();
                mc[row][4][0] = new NoteCell();
                mc[row][5][0] = new NoteCell();
                mc[row][6][0] = new NoteCell();
                mc[row][7][0] = new NoteCell();
                mc[row][8][0] = new NoteCell();
                mc[row][9][0] = new NoteCell();
                mc[row][10][0] = new NoteCell();
                mc[row][11][0] = new NoteCell();
                mc[row][12][0] = new NoteCell();
                mc[row][13][0] = new NoteCell();
                mc[row][14][0] = new NoteCell();
                mc[row][15][0] = new NoteCell();
                mc[row][16][0] = new NoteCell();
                
                mc[row][17][50] = new BasicCell(P_NS,P_NS,50,1);
                mc[row][18][50] = new BasicCell(P_NS,P_NS,50,1);
                mc[row][19][50] = new BasicCell(P_NS,P_NS,50,1);
                mc[row][20][50] = new BasicCell(P_NS,P_NS,50,1);
                mc[row][21][50] = new BasicCell(P_NS,P_NS,50,1);
                mc[row][22][50] = new BasicCell(P_NS,P_NS,50,1);
                mc[row][23][50] = new BasicCell(P_NS,P_NS,50,1);
                
                
                mc[row][24][50] = new BasicCell(P_SE,P_SE,50,1);     
                mc[row][25][50] = new BasicCell(P_EW,P_EW,50,1);
                mc[row][26][50] = new BasicCell(P_NW,P_NW,50,1);
                
                mc[row][26][50] = new BasicCell(P_SE,P_SE,50,1);
                mc[row][26][50] = new BasicCell(P_SW,P_SW,50,1);
                mc[row][26][50] = new BasicCell(P_SE,P_SE,50,1);
                mc[row][26][50] = new BasicCell(P_EW,P_EW,50,1);
                mc[row][26][50] = new BasicCell(P_SW,P_SW,50,1);
                
                
                
                mc[row][32][0] = new NoteCell(); //29739
                mc[row][33][0] = new NoteCell(); //29739
                mc[row][34][0] = new NoteCell(); //29739
                mc[row][35][0] = new NoteCell(); //29739
                mc[row][36][0] = new NoteCell(); //29739
                mc[row][37][0] = new NoteCell(); //29739
                mc[row][38][0] = new NoteCell(); //29739
                mc[row][39][0] = new NoteCell(); //29739
                
                row++;
            //reihe 7
                
                mc[row][0][0] = new NoteCell();
                mc[row][1][0] = new NoteCell();
                mc[row][2][0] = new NoteCell();
                mc[row][3][0] = new NoteCell();
                mc[row][4][0] = new NoteCell();
                mc[row][5][0] = new NoteCell();
                mc[row][6][0] = new NoteCell();
                mc[row][7][0] = new NoteCell();
                mc[row][8][0] = new NoteCell();
                mc[row][9][0] = new NoteCell();
                mc[row][10][0] = new NoteCell();
                mc[row][11][0] = new NoteCell();
                mc[row][12][0] = new NoteCell();
                mc[row][13][0] = new NoteCell();
                mc[row][14][0] = new NoteCell();
                mc[row][15][0] = new NoteCell();
                mc[row][16][0] = new NoteCell();
                
                mc[row][17][50] = new BasicCell(P_NS,P_NS,50,1);
                mc[row][18][50] = new BasicCell(P_NE,P_NE,50,1);
                mc[row][19][50] = new BasicCell(P_NW,P_NW,50,1);
                mc[row][20][50] = new BasicCell(P_NE,P_NE,50,1);
                mc[row][21][50] = new BasicCell(P_NW,P_NW,50,1);
                mc[row][22][50] = new BasicCell(P_NE,P_NE,50,1);
                mc[row][23][50] = new BasicCell(P_NW,P_NW,50,1);
                
                
                mc[row][24][50] = new BasicCell(P_NE,P_NE,50,1);     
                mc[row][25][50] = new BasicCell(P_EW,P_EW,50,1);
                mc[row][26][50] = new BasicCell(P_SW,P_SW,50,1);
                
                mc[row][27][50] = new BasicCell(P_NS,P_NS,50,1);
                mc[row][28][50] = new BasicCell(P_NE,P_NE,50,1);
                mc[row][29][50] = new BasicCell(P_NW,P_NW,50,1);
                mc[row][30][50] = new BasicCell(P_SE,P_SE,50,1);
                mc[row][31][50] = new BasicCell(P_NW,P_NW,50,1);
                
                
                
                mc[row][32][0] = new NoteCell(); 
                mc[row][33][0] = new NoteCell(); 
                mc[row][34][0] = new NoteCell(); 
                mc[row][35][0] = new NoteCell(); 
                mc[row][36][0] = new NoteCell(); 
                mc[row][37][0] = new NoteCell(); 
                mc[row][38][0] = new NoteCell(); 
                mc[row][39][0] = new NoteCell(); 
                row++;
                
                
            //reihe 8 //sollte nen error schmeissen //ersetze negative layers durch die richtigen wenn rausgefunden //gimp hilft da :P ( mit histogramm rechts einrücken karo entfernen; dann farbfüller)
                mc[row][1][103] =new BasicCell(P_SE,103,1);
                mc[row][2][103] =new BasicCell(P_EW,103,1);
                mc[row][3][103] =new BasicCell(P_EW,103,1);
                mc[row][4][103] =new BasicCell(P_SW,103,1);
                
                mc[row][5][50] =new BasicCell(P_SE,DE_E,50,1); //Einbahnstraße von süden kommend
                mc[row][6][50] =new BasicCell(P_EW,DE_E,50,1);  //Einbahnstraße west>ost
                mc[row][7][50] =new BasicCell(P_SW,50,1);  
                mc[row][8][73] =new BasicCell(P_SE,73,1);
                mc[row][9][73] =new BasicCell(P_EW,73,1);
                mc[row][10][73] =new BasicCell(P_EW,73,1);
                mc[row][11][73] =new BasicCell(P_EW,73,1);
                mc[row][12][73] =new BasicCell(P_EW,73,1);
                mc[row][13][73] =new BasicCell(P_EW,73,1);
                mc[row][14][73] =new BasicCell(P_EW,73,1);
                mc[row][15][73] =new BasicCell(P_EW,73,1);
                mc[row][16][73] =new BasicCell(P_SW,73,1);
                mc[row][17][50] =new BasicCell(P_NE,50,1);
                mc[row][18][50] =new BasicCell(P_SW,50,1);
                mc[row][19][50] =new BasicCell(P_SE,50,1);
                mc[row][20][50] =new BasicCell(P_EW,50,1);
                mc[row][21][50] =new BasicCell(P_EW,50,1);
                mc[row][22][50] =new BasicCell(P_EW,50,1);
                mc[row][23][50] =new BasicCell(P_EW,50,1);
                mc[row][24][50] =new BasicCell(P_EW,50,1);
                mc[row][25][50] =new BasicCell(P_ESW,50,1);
                mc[row][26][50] =new BasicCell(P_NSW,50,1);
                mc[row][27][50] =new BasicCell(P_NE,50,1);
                
                //*better icomapred to hardware stuff
                
                mc[row][28][50] =new BasicCell(P_EW,50,1);
                mc[row][29][50] =new BasicCell(P_SW,50,1);
                mc[row][30][50] =new BasicCell(P_NE,50,1);
                mc[row][31][50] =new BasicCell(P_ESW,50,1);
                mc[row][32][50] =new BasicCell(P_EW,50,1);
                mc[row][33][50] =new BasicCell(P_EW,50,1);
                mc[row][34][50] =new BasicCell(P_SW,50,1);
                mc[row][35][50] =new BasicCell(P_SE,50,1);
                mc[row][36][50] =new BasicCell(P_SW,50,1);
                
                row++;
                
                //reihe 9
                
                mc[row][1][103] =new BasicCell(P_NES,103,1);
                mc[row][2][103] =new BasicCell(S_WE,103,2);
                mc[row][3][104] =new KeyCell("K1",DE_E,104);
                mc[row][4][103] =new BasicCell(P_NS,103,1);
                mc[row][5][50] =new BasicCell(P_NES,50,1);
                mc[row][6][50] =new BasicCell(P_SW,50,1);
                mc[row][7][50] =new BasicCell(P_NS,50,1);
                mc[row][8][73] =new BasicCell(P_NS,73,1);
                mc[row][9][73] =new BasicCell(P_SE,73,1);
                mc[row][10][73] =new BasicCell(P_EW,73,1);
                
                mc[row][11][73] =new BasicCell(P_EW,73,1);
                mc[row][12][73] =new BasicCell(P_EW,73,1);
                mc[row][13][73] =new BasicCell(P_SW,73,1);
                mc[row][14][50] =new BasicCell(P_SE,50,1);
                mc[row][15][50] =new BasicCell(P_EW,50,1);
                mc[row][16][50] =new BasicCell(P_NW,50,1);
                mc[row][17][50] =new BasicCell(P_SE,50,1);
                mc[row][18][50] =new BasicCell(P_NW,50,1);
                mc[row][19][50] =new BasicCell(P_NS,50,1);
                mc[row][20][50] =new BasicCell(P_SE,50,1);
                
                mc[row][21][50] =new BasicCell(P_EW,50,1);
                mc[row][22][50] =new BasicCell(P_EW,50,1);
                mc[row][23][50] =new BasicCell(P_EW,50,1);
                mc[row][24][50] =new BasicCell(P_ESW,50,1);
                mc[row][25][50] =new BasicCell(P_NW,50,1);
                mc[row][26][50] =new BasicCell(P_NES,50,1);
                mc[row][27][50] =new BasicCell(P_ESW,50,1);
                mc[row][28][50] =new BasicCell(P_EW,50,1);
                mc[row][29][50] =new BasicCell(P_NEW,50,1);
                mc[row][30][50] =new BasicCell(DE_W,50,1);
                
                mc[row][31][50] =new BasicCell(P_NE,50,1);
                mc[row][32][50] =new BasicCell(P_SW,50,1);
                mc[row][33][50] =new BasicCell(P_SE,50,1);
                mc[row][34][50] =new BasicCell(P_NW,50,1);
                mc[row][35][50] =new BasicCell(P_NS,50,1);
                mc[row][36][50] =new BasicCell(P_NES,50,1);
                mc[row][37][50] =new BasicCell(P_EW,50,1);
                mc[row][38][50] =new BasicCell(P_EW,DE_W,50,1);//einbahnstraße Wsst<ost //GO!
                mc[row][39][50] =new BasicCell(P_EW,50,1);
                mc[row][40][50] =new BasicCell(P_EW,50,1);//STARTZONE
                row++;
                
                
                //reihe 10
                mc[row][1][103] =new BasicCell(P_NES,103,1);
                mc[row][2][103] =new BasicCell(P_EW,103,1);
                mc[row][3][103] =new BasicCell(P_EW,103,1);
                mc[row][4][103] =new BasicCell(P_NW,103,1);
                mc[row][5][50] =new BasicCell(P_EW,50,1);
                mc[row][6][50] =new BasicCell(P_NS,DE_S,50,1);//Einbahn Nord>Süd
                mc[row][7][50] =new BasicCell(P_NS,50,1);
                mc[row][8][50] =new BasicCell(P_EW,73,1);
                mc[row][9][50] =new BasicCell(P_EW,73,1);
                mc[row][10][50] =new BasicCell(P_EW,73,1);
                
                mc[row][10][50] =new BasicCell(P_EW,50,1);
                
                
                
                //export into a file; //change that to a lzmafile later to save bitsnbytes
                c.setChunkField(mc);
                String tmp = d.dump(c);
                
                FileTK.writeFile(tmp, "D:\\src\\mazeviewer\\dump.yml");
                // Chunk c2 = (Chunk)d.load(tmp);
               
                
    }
}
